Subject: Bug#970: [X2Go-Dev] Bug#970: lists.x2go.org domain lacks SPF record.

From: Mike Gabriel <[email-masked]>
Date: Mon, 11 Apr 2016 19:24:49 +0000

Hi Nable, hi Heinz.

On  Di 24 Nov 2015 14:01:36 CET, Nable wrote:

> Package: lists.x2go.org
> Severity: wishlist
>
> Dear maintainers,
> All messages that were sent from IPv6 address of
> freya.das-netzwerkteam.de are classified by Gmail (and possibly by
> other mail providers) as unwanted and unconditionally fall into "Spam"
> folder. Judging from message headers Gmail is also unsure about
> messages from its IPv4 address but acts more permissive. I always use
> "Not Spam" button for such false-positives but gmail still insists
> that something is wrong with such messages.
>
> I've noticed this problem about a year ago and now it became annoying
> enough to finally file a bug. I don't know the exact reason but it
> looks like the problem may hide in the absence of SPF record [1] for
> lists.x2go.org as this is the only suspicious thing in mail headers.
> Either way, usage of SPF is considered to be a good practice nowadays
> and a lot of companies deploy it.
>
> 1. https://en.wikipedia.org/wiki/Sender_Policy_Framework

I finally found some time to look into the above (because one of my  
customers also made me aware of this).

For all my mail domains (unfortunately not x2go.org), I now have set  
up a SPF TXT record on the DNS hosts.

For the lists.x2go.org subdomain a bind9 entry should look like this:

"""
$ORIGIN lists.x2go.org.
@			IN	A	178.63.100.243
@			IN	AAAA	2a01:4f8:121:5085:250:56ff:fe15:236d
@			MX     10 ymir.das-netzwerkteam.de.     ; Mail Exchanger for mailing list

; SPF Record for our MXes
@			IN	TXT	"v=spf1 mx a:freya.das-netzwerkteam.de -all"
"""

@Heinz: Can you deploy this for lists.x2go.org? Thanks.

Thanks!
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de